Browse Docs
Archives (14)
Audio (38)
Documents (26)
Ebooks (7)
Fonts (13)
Images (62)
Video (10)
On This Page

PDF OCR

Apply OCR to scanned PDF documents, making them searchable and selectable.

Try PDF to PDF (OCR) in the browser →

Convert.FAST uses this same API — what you see in the browser is what you get in code.

Quick reference

Job typedocument.pdf-ocr
targetFormatpdf-ocr
Categorydocuments
Input formats.pdf
Output extension.pdf
Costing1 credit per page
Cost by ocr modeFast: 1 credits/page (default) · Quality: 5 credits/page
Max file size1 GB
Max pages1000

Example

cURL
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@document.pdf" \
  -F "targetFormat=pdf-ocr" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "document.pdf"
# → Binary file (application/pdf, 600.0 KB)

Options

This converter does not support additional options.

Cost estimate

cURL
curl -sS "https://api.tools.fast/convert/estimate/pdf/pdf-ocr?pageCount=50"

# With ocr mode variant (Quality)
curl -sS "https://api.tools.fast/convert/estimate/pdf/pdf-ocr?pageCount=50&variant=quality"
Copied.